## org.mortbay.jetty.handler.rewrite
Class RedirectRegexRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.RegexRule
              org.mortbay.jetty.handler.rewrite.RedirectRegexRule

    public class RedirectRegexRule

extends RegexRule

Redirects the response by matching with a regular expression. The replacement string may use $n" to replace the nth capture group.

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.RegexRule
`_regex`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`RedirectRegexRule()`

Method Summary
`protected String` `apply(String target, HttpServletRequest request, HttpServletResponse response, Matcher matcher)` Apply this rule to the request/response pair.
`void` `setReplacement(String replacement)` Whenever a match is found, it replaces with this value.

Methods inherited from class org.mortbay.jetty.handler.rewrite.RegexRule
`getRegex, matchAndApply, setRegex, toString`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedirectRegexRule

    public RedirectRegexRule()

Method Detail

### setReplacement

    public void setReplacement(String replacement)

  Whenever a match is found, it replaces with this value.

  Parameters:
    `replacement` - the replacement string.

### apply

    protected String apply(String target,
                           HttpServletRequest request,
                           HttpServletResponse response,
                           Matcher matcher)
                    throws IOException

  Description copied from class: `RegexRule`
  Apply this rule to the request/response pair. Called by `RegexRule.matchAndApply(String, HttpServletRequest, HttpServletResponse)` if the regex matches.

  Specified by:
    `apply` in class `RegexRule`
  Parameters:
    `target` - field to attempt match
    `request` - request object
    `response` - response object
    `matcher` - The Regex matcher that matched the request (with capture groups available for replacement).
  Returns:
    The target (possible updated).
  Throws:
    `IOException` - exceptions dealing with operating on request or response objects

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.